Bug 1263590 - rule change via GUI/CLI puts FW in ERROR mode
rule change via GUI/CLI puts FW in ERROR mode
Status: CLOSED WONTFIX
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-neutron-fwaas (Show other bugs)
7.0 (Kilo)
x86_64 Linux
unspecified Severity unspecified
: ---
: 8.0 (Liberty)
Assigned To: RHOS Maint
Shai Revivo
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-16 05:06 EDT by Alexander Stafeyev
Modified: 2016-06-03 21:41 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-03 21:41:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1496244 None None None Never

  None (edit)
Description Alexander Stafeyev 2015-09-16 05:06:48 EDT
Description of problem:

We have FW rules attached to policy which is assigned to a FW.
After editing the rule the FW goes into error state

http://pastebin.com/eF5fCnEe

Version-Release number of selected component (if applicable):

python-neutron-fwaas-2015.1.1-1.el7ost.noarch

openstack-neutron-2015.1.1-2.el7ost.noarch
openstack-neutron-ml2-2015.1.1-2.el7ost.noarch
openstack-neutron-lbaas-2015.1.1-1.el7ost.noarch
python-neutronclient-2.4.0-2.el7ost.noarch
python-neutron-2015.1.1-2.el7ost.noarch
openstack-neutron-fwaas-2015.1.1-1.el7ost.noarch
openstack-neutron-common-2015.1.1-2.el7ost.noarch
python-neutron-lbaas-2015.1.1-1.el7ost.noarch
openstack-neutron-openvswitch-2015.1.1-2.el7ost.noarch



How reproducible:
100%

Steps to Reproduce:
1.create FW rule, policy, and firewall. 
2.attech the rule to policy and policy to FW
3.edit the rule and see FW status - "error" 



Actual results:
FW in error state 

Expected results:
FW should be in Active state

Additional info:
LOGS_
http://pastebin.com/cHjMX2Q3
Comment 3 Ihar Hrachyshka 2015-09-22 09:21:01 EDT
The bug is untargeted, moving back to default assignee.
Comment 5 Assaf Muller 2016-06-03 21:41:16 EDT
Please re-open upstream, I can't justify spending time on non-critical FWaaS bugs.

Note You need to log in before you can comment on or make changes to this bug.